biterp

Listar contas a receber

GET
/receivables
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.

limit?integer

Page size from CursorPaginationDto.limit.

Default20
Range1 <= value <= 100
search?string

Full-text search term from CursorPaginationDto.search.

with_deleted?boolean

Include soft-deleted records from CursorPaginationDto.with_deleted.

Defaultfalse
include_payload_search?boolean

Include payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.

Defaultfalse
sort?string

Sort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).

reference_code?string

Exact match for "reference_code" (string)

reference_code[neq]?string

Not equal filter for "reference_code" (string)

reference_code[contains]?string

Contains filter for "reference_code"

reference_code[not_contains]?string

Does not contain filter for "reference_code"

status?string

Exact match for "status" (string)

status[neq]?string

Not equal filter for "status" (string)

status[contains]?string

Contains filter for "status"

status[not_contains]?string

Does not contain filter for "status"

amount?number

Exact match for "amount" (number)

amount[neq]?number

Not equal filter for "amount" (number)

amount[gt]?number

Greater than filter for "amount" (number)

amount[gte]?number

Greater than or equal filter for "amount" (number)

amount[lt]?number

Less than filter for "amount" (number)

amount[lte]?number

Less than or equal filter for "amount" (number)

due_date?string

Exact match for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[neq]?string

Not equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[gt]?string

Greater than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[gte]?string

Greater than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[lt]?string

Less than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[lte]?string

Less than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

issue_date?string

Exact match for "issue_date" (ISO 8601 date (YYYY-MM-DD))

issue_date[neq]?string

Not equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))

issue_date[gt]?string

Greater than filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))

issue_date[gte]?string

Greater than or equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))

issue_date[lt]?string

Less than filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))

issue_date[lte]?string

Less than or equal filter for "issue_date" (ISO 8601 date (YYYY-MM-DD))

customer_id?string

Exact match for "customer_id" (UUID)

Formatuuid
customer_id[neq]?string

Not equal filter for "customer_id" (UUID)

Formatuuid
financial_account_id?string

Exact match for "financial_account_id" (UUID)

Formatuuid
financial_account_id[neq]?string

Not equal filter for "financial_account_id" (UUID)

Formatuuid
financial_category_id?string

Exact match for "financial_category_id" (UUID)

Formatuuid
financial_category_id[neq]?string

Not equal filter for "financial_category_id" (UUID)

Formatuuid
payment_method_id?string

Exact match for "payment_method_id" (UUID)

Formatuuid
payment_method_id[neq]?string

Not equal filter for "payment_method_id" (UUID)

Formatuuid
installment_group_id?string

Exact match for "installment_group_id" (UUID)

Formatuuid
installment_group_id[neq]?string

Not equal filter for "installment_group_id" (UUID)

Formatuuid
origin_type?string

Exact match for "origin_type" (string)

origin_type[neq]?string

Not equal filter for "origin_type" (string)

origin_type[contains]?string

Contains filter for "origin_type"

origin_type[not_contains]?string

Does not contain filter for "origin_type"

sales_order_id?string

Exact match for "sales_order_id" (UUID)

Formatuuid
sales_order_id[neq]?string

Not equal filter for "sales_order_id" (UUID)

Formatuuid
invoice_id?string

Exact match for "invoice_id" (UUID)

Formatuuid
invoice_id[neq]?string

Not equal filter for "invoice_id" (UUID)

Formatuuid
created_at?string

Exact match for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[neq]?string

Not equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[gt]?string

Greater than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[gte]?string

Greater than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[lt]?string

Less than filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

created_at[lte]?string

Less than or equal filter for "created_at" (ISO 8601 date (YYYY-MM-DD))

updated_at?string

Exact match for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[neq]?string

Not equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[gt]?string

Greater than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[gte]?string

Greater than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[lt]?string

Less than filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

updated_at[lte]?string

Less than or equal filter for "updated_at" (ISO 8601 date (YYYY-MM-DD))

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/receivables"
{
  "data": [
    {
      "id": "string",
      "customer_id": "string",
      "financial_account_id": "string",
      "payment_method_id": "string",
      "financial_category_id": "string",
      "reference_code": "string",
      "amount": "1500.000000",
      "discount_amount": "0.000000",
      "discount_date": "2019-08-24",
      "surcharge_amount": "0.000000",
      "surcharge_date": "2019-08-24",
      "status": "pending",
      "issue_date": "2019-08-24",
      "due_date": "2019-08-24",
      "paid_at": "2019-08-24T14:15:22Z",
      "installment_group_id": "string",
      "installment_number": 0,
      "installment_count": 0,
      "origin_type": "manual",
      "origin_id": "string",
      "sales_order_id": "string",
      "invoice_id": "string",
      "description": "string",
      "notes": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 0,
    "has_next_page": true,
    "has_previous_page": true,
    "current_query_cursor": "string",
    "current_page_cursor": "string",
    "next_cursor": "string",
    "previous_cursor": "string"
  },
  "meta": {
    "filters": {},
    "search": "string",
    "sort": {
      "field": "string",
      "order": "asc"
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}